<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Make a Community Dataset from a Stacked Dataset</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for makecommunitydataset {BiodiversityR}"><tr><td>makecommunitydataset {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Make a Community Dataset from a Stacked Dataset</h2>


<h3>Description</h3>

<p>
Makes a community data set from a stacked dataset (with separate variables for the site identities, the species identities and the abundance).
</p>


<h3>Usage</h3>

<pre>
makecommunitydataset(x,row,column,value,factor="",level="",drop=F)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Data frame. </td></tr>
<tr valign="top"><td><code>row</code></td>
<td>
Name of the categorical variable for the rows of the crosstabulation (typically indicating sites) </td></tr>
<tr valign="top"><td><code>column</code></td>
<td>
Name of the categorical variable for the columns of the crosstabulation (typically indicating species) </td></tr>
<tr valign="top"><td><code>value</code></td>
<td>
Name of numerical variable for the cells of the crosstabulation (typically indicating abundance). The cells provide the sum of all values in the data frame. </td></tr>
<tr valign="top"><td><code>factor</code></td>
<td>
Name of the variable to calculate a subset of the data frame. </td></tr>
<tr valign="top"><td><code>level</code></td>
<td>
Value of the subset of the factor variable to calculate a subset of the data frame. </td></tr>
<tr valign="top"><td><code>drop</code></td>
<td>
Drop rows without species (species with total abundance of zero are always dropped) </td></tr>
</table>

<h3>Details</h3>

<p>
This function calculates a cross-tabulation from a data frame, summing up all the values of the numerical variable identified as variable for the cell values. If factor="", then no subset is calculated from the data frame in the first step.
</p>


<h3>Value</h3>

<p>
The function provides a community dataset from another data frame.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005) 
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune.env)
makecommunitydataset(dune.env,row='Manure',column='Use',value='A1')
makecommunitydataset(dune.env,row='Manure',column='Use',value='A1',
    factor='Management',level='NM')
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
